MAINTAINERCLEANFILES = Makefile.in

buttons = \
	speaker.png \
	nospeaker.png

EXTRA_DIST = \
	$(buttons) \
	$(pixmap_DATA) \
	$(icon_DATA) \
	logo.mpv logo.jpg \
	README.pixmaps \
	gxine.blend \
	mk-logo.sh

svgfiles = \
	set-brightness.svg \
	set-channel.svg \
	set-contrast.svg \
	set-hue.svg \
	set-saturation.svg \
	set-sharpness.svg \
	set-sync.svg \
	set-volume.svg \
	subtitle.svg

pngfiles = $(addsuffix .png,$(basename $(svgfiles)))
DISTCLEANFILES = $(pngfiles)

pixmapdir = $(GXINE_PIXMAPPATH)

pixmap_DATA = \
	$(buttons) \
	gxine-icon.xpm \
	splash.png \
	$(svgfiles)

icondir	= $(GXINE_ICONPATH)
icon_DATA = gxine.png

hicolourdir = $(GXINE_HICOLOURPATH)
hicolour_DATA = gxine.png

datadir   = $(GXINE_LOGOPATH)
data_DATA = logo.$(LOGO_FORMAT)

debug: all

install-debug: install

if MAKE_PNG
pixmap_DATA += $(pngfiles)
EXTRA_DIST += $(pngfiles)

$(pngfiles): %.png: %.svg
	$(AM_V_GEN)$(RSVG) $< $@
if HAVE_OPTIPNG
	$(AM_V_at)$(OPTIPNG) -q -o7 $@
endif
if HAVE_ADVPNG
	$(AM_V_at)$(ADVPNG) -q -z4 $@
endif
endif

erase:
	-rm -f $(pngfiles)

.DELETE_ON_ERROR:
